
function Skinner:IgorsMassAuction()
	if not self.db.profile.AuctionFrame then return end

    self:Hook("IMA_AuctionFrameTab_OnClick", function(index)
        -- self:Debug("IMA_AuctionFrameTab_OnClick: [%s]", index)  
        if IMA_AuctionFrameTab_OnClickOrig ~= nil then IMA_AuctionFrameTab_OnClickOrig(index) end
        if not index then index = this:GetID() end
		if (AuctionFrameAuctions.page == nil) then
			AuctionFrameAuctions.page = 0
		end
        if index == 4 then	
            IMA_AuctionFrameMassAuction:Show()
        else
            IMA_AuctionFrameMassAuction:Hide()
        end
        end)

    IMA_AuctionFrameMassAuction:SetWidth(IMA_AuctionFrameMassAuction:GetWidth() + 74)
    IMA_AuctionFrameMassAuction:SetHeight(IMA_AuctionFrameMassAuction:GetHeight() - 6)
    
    self:moveObject(IMA_AuctionsCloseButton, "-", 74, "-", 6)
    self:moveObject(IMA_SetAllPricesButton, "-", 50, nil, nil)
    
    self:applySkin(IMA_AuctionFrameMassAuction)
    self:keepRegions(IMA_PriceSchemeDropDown, {4,5}) -- N.B. regions 4 & 5 are text
    self:moveObject(IMA_MultiplierFramePriceCheckButton, nil, nil, "+", 1)
    self:moveObject(IMA_MultiplierFrameBuyoutCheckButton, nil, nil, "-", 1)
    

    local tabName = AuctionFrameTab4
	if self.db.profile.TexturedTab then 
        self:applySkin(tabName, nil, 0)
        self:setInactiveTab(tabName)
    else 
        self:applySkin(tabName)
    end

    self:removeRegions(IMA_AcceptSendFrame)
    self:applySkin(IMA_AcceptSendFrame, true)
    
end
